#include "riq_hand_ethercat_hardware/riq_hand_command.h"
#include <string.h>

namespace riq_hand_ethercat_hardware
{

const char* RIQActionRequest::modeString(unsigned mode)
{
  switch(mode)
  {
  case CYLINDRICAL_MODE:
    return "Cylindrical";
  case PINCH_MODE:
    return "Pinch";
  case SPHERIOD_MODE:
    return "Spheriod";
  case SCISSORS_MODE:
    return "Scissors";
  default:
    return "Unknown";
  };
}
  
const char* RIQActionRequest::gripString(unsigned grip)
{
  switch(grip)
  {
  case GRIP_STOP: 
  case GRIP_STOP_X:
    return "Stop";
  case GRIP_OPEN:
    return "Open";
  case GRIP_CLOSE: 
    return "Close";
  default:
    return "Unknown";
  };
}



void RIQHandCommandEcat::zero()
{
  memset(this, 0, sizeof(*this));
}

}; //namespace riq_hand_ethercat_hardware
