"""autogenerated by genpy from riq_msgs/RIQHandCommand.msg. Do not edit."""
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct


class RIQHandCommand(genpy.Message):
  _md5sum = "1ea172a0fa98ff8b257948fc31b156cd"
  _type = "riq_msgs/RIQHandCommand"
  _has_header = False #flag to mark the presence of a Header object
  _full_text = """# ROS command message from RobotIQ hand

# mode constants
int8 CYLINDRICAL = 0
int8 PINCH       = 1
int8 SPHERIOD    = 2
int8 SCISSORS    = 3

# action constants
int8 STOP     = 0
int8 CLOSE    = 1
int8 OPEN     = 2


int8    mode      # PINCH, CYLINDRICAL, SPHERIOD, SCISSORS 
int8    action    # CLOSE, OPEN, STOP
float64 velocity  # Speed value goes from 0.0 to 1.0
float64 force     # Force value goes from 0.0 to 1.0 
"""
  # Pseudo-constants
  CYLINDRICAL = 0
  PINCH = 1
  SPHERIOD = 2
  SCISSORS = 3
  STOP = 0
  CLOSE = 1
  OPEN = 2

  __slots__ = ['mode','action','velocity','force']
  _slot_types = ['int8','int8','float64','float64']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       mode,action,velocity,force

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(RIQHandCommand, self).__init__(*args, **kwds)
      #message fields cannot be None, assign default values for those that are
      if self.mode is None:
        self.mode = 0
      if self.action is None:
        self.action = 0
      if self.velocity is None:
        self.velocity = 0.
      if self.force is None:
        self.force = 0.
    else:
      self.mode = 0
      self.action = 0
      self.velocity = 0.
      self.force = 0.

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self
      buff.write(_struct_2b2d.pack(_x.mode, _x.action, _x.velocity, _x.force))
    except struct.error as se: self._check_types(se)
    except TypeError as te: self._check_types(te)

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    try:
      end = 0
      _x = self
      start = end
      end += 18
      (_x.mode, _x.action, _x.velocity, _x.force,) = _struct_2b2d.unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self
      buff.write(_struct_2b2d.pack(_x.mode, _x.action, _x.velocity, _x.force))
    except struct.error as se: self._check_types(se)
    except TypeError as te: self._check_types(te)

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    try:
      end = 0
      _x = self
      start = end
      end += 18
      (_x.mode, _x.action, _x.velocity, _x.force,) = _struct_2b2d.unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill

_struct_I = genpy.struct_I
_struct_2b2d = struct.Struct("<2b2d")
